Package org.eclipse.emf.compare

# Enum Class ConflictKind

java.lang.Object
java.lang.Enum<ConflictKind>
org.eclipse.emf.compare.ConflictKind

All Implemented Interfaces:
  `Serializable`, `Comparable<ConflictKind>`, `java.lang.constant.Constable`, `Enumerator`

public enum ConflictKind extends Enum<ConflictKind> implements Enumerator
A representation of the literals of the enumeration 'Conflict Kind', and utility methods for working with them. Conflicts detected through EMF Compare can be of a number of different types.

- REAL are the conflicts that cannot be merged automatically,
- PSEUDO are the "conflicts" that represent the same change made on the two sides, which can thus be automatically merged.

See Also:
  - `ComparePackage.getConflictKind()`
Generated:

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PSEUDO`
The 'PSEUDO' literal object.
`REAL`
The 'REAL' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`
`static final int`
`PSEUDO_VALUE`
The 'PSEUDO' literal value.
`static final int`
`REAL_VALUE`
The 'REAL' literal value.
`static final List<ConflictKind>`
`VALUES`
A public read-only list of all the 'Conflict Kind' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static ConflictKind`
`get(int value)`
Returns the 'Conflict Kind' literal with the specified integer value.
`static ConflictKind`
`get(String literal)`
Returns the 'Conflict Kind' literal with the specified literal value.
`static ConflictKind`
`getByName(String name)`
Returns the 'Conflict Kind' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ConflictKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConflictKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REAL

public static final ConflictKind REAL
The 'REAL' literal object.

See Also:
  - `REAL_VALUE`
Generated:

### PSEUDO

public static final ConflictKind PSEUDO
The 'PSEUDO' literal object.

See Also:
  - `PSEUDO_VALUE`
Generated:

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### REAL_VALUE

public static final int REAL_VALUE
The 'REAL' literal value. conflicts that cannot be merged automatically as they represent incompatible differences on the two sides.

See Also:
  - `REAL`
  - Constant Field Values
Generated:

### PSEUDO_VALUE

public static final int PSEUDO_VALUE
The 'PSEUDO' literal value. If the same change has been made on the two sides since the common ancestor, these changes will be marked as "pseudo-conflicting" changes : there are changes, but they can be merged automatically.

See Also:
  - `PSEUDO`
  - Constant Field Values
Generated:

### VALUES

public static final List<ConflictKind> VALUES
A public read-only list of all the 'Conflict Kind' enumerators.

Generated:

## Method Details

### values

public static ConflictKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConflictKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ConflictKind get(String literal)
Returns the 'Conflict Kind' literal with the specified literal value.

Generated:

### getByName

public static ConflictKind getByName(String name)
Returns the 'Conflict Kind' literal with the specified name.

Generated:

### get

public static ConflictKind get(int value)
Returns the 'Conflict Kind' literal with the specified integer value.

Generated:

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated:

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated:

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated:

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ConflictKind>`
Generated: